[data-theme='dark'] {
  --text-colour: white;
  --text-colour-highlighted: white;
  --text-colour-disabled: #808080;
  --search-form-bg: #0f1023;
  --window-background: linear-gradient(to bottom right, #0f1023, #4b0224);
  --place-holder-colour: #909090;
  --border: #43444d;
  --selected-item-bg: #e70068;
  --div-button-border: black;
  --mini-button-colour: white;
}

[data-theme='light'] {
  --text-colour: #040034;
  --text-colour-highlighted: white;
  --text-colour-disabled: #808080;
  --search-form-bg: white;
  --window-background: white;
  --place-holder-colour: #707070;
  --border: #bbbbbb;
  --selected-item-bg: #040034;
  --div-button-border: transparent;
  --mini-button-colour: #040034;
}

.data-management-container {
  flex: 1 1;
  height: 100%;
  display: flex;
  flex-direction: row;
}

.search-form[data-maximised='F'] {
  display: none;
}

.search-form[data-maximised='T'] {
  flex: 0 0;
  display: flex;
  flex-direction: column;
  align-items: left;
  background-color: var(--search-form-bg);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  margin: 0px 10px 0px 10px;
  border-radius: 10px;
  align-self: flex-start;
  /*border: 1px solid black;*/
}

.data-management-form-title {
  color: var(--text-colour);
  font-weight: 800;
  margin: 0px 15px 0px 15px;
  padding: 0px 0px 0px 0px;
  align-items: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  flex: 0 0 0px;
  white-space: nowrap;
}

.data-management-form-text {
  color: var(--text-colour);
  font-weight: 400;
  margin: 0px 15px 0px 15px;
  align-items: center;
  display: flex;
  flex-direction: row;
}

.site-listbox,
.service-types-listbox {
  flex: 0 0 auto;
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-colour);
  color: var(--text-colour);
}

.site-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.service-types-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.hardware-listbox {
  flex: 0 0 auto;
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-colour);
  color: var(--text-colour);
}

.hardware-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.middleware-listbox {
  flex: 0 0 auto;
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-colour);
  color: var(--text-colour);
}

.middleware-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.search-compute-filter-hardware,
.search-compute-filter-description,
.search-compute-filter-site,
.search-compute-filter-type,
.search-compute-filter-middleware,
.search-compute-filter-service-type,
.form-button-container,
.search-compute-filter-location {
  margin: 2px 15px 10px 15px;
  align-items: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  flex: 0 0;
}

.search-compute-filter-hardware {
  border: 1px solid var(--text-colour);
  width: 279px;
}

/*.search-compute-interaction-services
		{
			flex: 0 0 10px;
		}*/

.search-compute-filter-description {
  flex: 0 0 34px;
  width: 279px;
}

.search-compute-filter-site {
  flex: 0 0 0px;
  width: 279px;
}

.search-compute-filter-service-type {
  flex: 0 0 0px;
  width: 279px;
}

.compute-input-field {
  width: 100%;
  height: 100%;
  background-color: transparent;
  color: var(--text-colour);
  border: 1px solid var(--text-colour);
  box-sizing: border-box;
  flex: 1 1;
}

.compute-input-uom {
  flex: 0 0 25px;
  text-align: center;
  color: var(--text-colour);
}

.search-compute-filter-hardware {
  flex: 0 0 78px;
  width: 279px;
}

.search-compute-filter-type {
  flex: 0 0;
  width: 279px;
}

.search-compute-filter-middleware {
  flex: 0 0;
  width: 279px;
}

.search-compute-filter-hardware-div {
  height: 100%;
  flex: 1 1;
  display: flex;
  flex-direction: column;
}

.search-compute-filter-hardware-div-cell {
  width: 100%;
  flex: 1 1;
  align-items: center;
  display: flex;
  flex-direction: row;
  color: var(--text-colour);
  margin-left: 5px;
}

.search-compute-filter-location {
  flex: 0 0 auto;
  width: 279px;
  display: flex;
  flex-direction: row;
  margin-top: 0px;
  margin-bottom: 0px;
}

.data-management-table {
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  border-radius: 10px;
  margin-right: 0px;
}

.data-management-scrollbox-container {
  color: var(--text-colour);
}

.data-management-items {
  flex: 0 0 auto;
  text-align: left;
  position: relative;
}

.data-management-item {
  color: var(--text-colour);
  cursor: pointer;
  border-radius: 10px;
  user-select: none;
}

.data-management-item[data-selected='T'] {
  background-color: var(--selected-item-bg);
  color: var(--text-colour-highlighted);
}

.data-management-item-icon-empty {
  width: 120px;
  height: 80px;
  border: solid 1px var(--border);
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12pt;
}

.data-job-status {
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  border-radius: 10px;
  margin-right: 5px;
  color: var(--text-colour);
}

.search-results-table-displayed {
  color: var(--text-colour);
}

.search-results-table-hidden {
  display: none;
}

.job-row:hover {
  background-color: var(--selected-item-bg);
  color: white;
}

.jupyter-hub-row:hover {
  background-color: var(--selected-item-bg);
  color: white;
}

.navigation {
  color: var(--text-colour);
  border: 1pt solid transparent;
  border-radius: 4px;
}

.navigation[data-clickable='T'] {
  color: #e70068;
}

.navigation[data-clickable='T']:hover {
  border: 1pt solid var(--text-colour);
  cursor: pointer;
}

.data-management-mini-button-div {
  cursor: pointer;
  background-color: transparent;
}

.data-management-mini-button-div[data-selected='T'] {
  background-color: var(--mini-button-colour);
}

.data-management-mini-button-img {
  border: 1pt solid var(--mini-button-colour);
}
